summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/ast/Manifest1
-rw-r--r--dev-ruby/ast/ast-2.4.2.ebuild33
-rw-r--r--dev-ruby/bacon/bacon-1.2.0-r3.ebuild20
-rw-r--r--dev-ruby/creole/creole-0.5.0-r1.ebuild30
4 files changed, 84 insertions, 0 deletions
diff --git a/dev-ruby/ast/Manifest b/dev-ruby/ast/Manifest
index a718527c899f..fee7dd721e86 100644
--- a/dev-ruby/ast/Manifest
+++ b/dev-ruby/ast/Manifest
@@ -1,2 +1,3 @@
DIST ast-2.4.0.gem 15360 BLAKE2B 1d68fa8137bf2a158e8b2e0f30d3d803791db7fcb397133681cd2ffb57badebe6f9afd792a7cf3907dc1fa3e3a617fbb0331c85c69e36a46ca49962f30be9979 SHA512 60a0b00103ed57c71907155ee7966127985021e51c1d829e2149c87066504e76fdb955f9717bb19b5627d5b8c44f0d6a165e208900ede2355a47970ee9664b72
DIST ast-2.4.1.tar.gz 11046 BLAKE2B ef2bf6e9ac6af90c2cc8844d372fd97ddef3d85f846711f1348534a58e0824b92bc7533a36eb737ff436fe79ccedf2169bd01bd740bf7cbbba89f1062bfc9f0d SHA512 270cd84c034fb017e9bb7637443b51e9ba453e467d39093e1212521372ea9ec1c27c1a71f3cc99ff58b8ce6a762b5363e1238fd98efd3bc794449641e53b0bc2
+DIST ast-2.4.2.tar.gz 11547 BLAKE2B 2745d0e7b3bea2a2a750aa36f634def78d354ea91a3b795adb84d955e95aa1302ed0a7a4e9df0961b02318b4a70ee7f3e7f509232977c4501cf4d54f8f91f8e9 SHA512 7499625d21b2edd67df4ee9248ccfaf46b77d1d161a8aa70e15f59d055abaf2b988de01c5a078bebcf0f1c0e40858cc51200327e6b6f0bea6cdbbb58c6e3f755
diff --git a/dev-ruby/ast/ast-2.4.2.ebuild b/dev-ruby/ast/ast-2.4.2.ebuild
new file mode 100644
index 000000000000..479d20450b76
--- /dev/null
+++ b/dev-ruby/ast/ast-2.4.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="ast.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A library for working with abstract syntax trees"
+HOMEPAGE="https://github.com/whitequark/ast"
+SRC_URI="https://github.com/whitequark/ast/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? (
+ dev-ruby/bacon )"
+
+all_ruby_prepare() {
+ sed -i -e "/[Bb]undler/d" Rakefile || die
+ sed -i -e "/git ls/d" ${PN}.gemspec || die
+ sed -i -e "/simplecov/,+11d" -e "/colored_output/d" test/helper.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -S bacon -Itest -a || die
+}
diff --git a/dev-ruby/bacon/bacon-1.2.0-r3.ebuild b/dev-ruby/bacon/bacon-1.2.0-r3.ebuild
new file mode 100644
index 000000000000..7db1475d3b09
--- /dev/null
+++ b/dev-ruby/bacon/bacon-1.2.0-r3.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="ChangeLog README.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Small RSpec clone weighing less than 350 LoC"
+HOMEPAGE="https://chneukirchen.org/repos/bacon"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/rdoc )"
diff --git a/dev-ruby/creole/creole-0.5.0-r1.ebuild b/dev-ruby/creole/creole-0.5.0-r1.ebuild
new file mode 100644
index 000000000000..87c7dc48ceae
--- /dev/null
+++ b/dev-ruby/creole/creole-0.5.0-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_RECIPE_TEST="rake"
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGES README.creole"
+
+RUBY_FAKEGEM_GEMSPEC="creole.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Creole-to-HTML converter for Creole, the lightweight markup language"
+HOMEPAGE="https://github.com/minad/creole"
+SRC_URI="https://github.com/minad/creole/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/bacon )"
+
+all_ruby_prepare() {
+ sed -e 's/git ls-files --/echo/' \
+ -e 's/git ls-files/find -print/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}